Skip to Content
Hive
API Referencev1VoIP DSS

Get Numbers by Gateway ID

GET
/v1/voip/dss/gtw/numbers/{gatewayId}

Retrieve numbers associated with a DSS gateway.

Path Parameters

gatewayId*integer

Response Body

DSS gateway numbers retrieved successfully.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/voip/dss/gtw/numbers/0'
Example Response
[  {    "idNumbers": 0,    "trunkId": "string",    "tipo": "string",    "orgId": 0,    "tipoNumerazione": "string",    "details": {      "id": 0,      "created_time": "string",      "activationDate": "string",      "ceasedDate": "string",      "statoBK": "string",      "numeroBK": "string",      "permanente": true,      "destination_old": "string",      "canali": 0,      "dbu": true,      "dbuCategory": 0,      "dbuQualification": "string",      "dbuOccupation": "string",      "dbuEmail": "string",      "dbuAdditionalAddress": "string",      "dbuNote": "string",      "paperDirectories": true,      "informationServices": true,      "derivedSearch": true,      "emailAdvertising": true,      "taxCodeAggregation": true,      "phoneAdvertising": true,      "otherAdvertisingChannels": true,      "etnaInserted": true,      "anagrafica": {        "id": 0,        "organizationId": 0,        "name": "string",        "ragioneSociale": "string",        "rappresentante": "string",        "indirizzo": "string",        "civico": "string",        "indSedLeg": "string",        "civicoSedLeg": "string",        "comuneSedLeg": "string",        "provinciaSedLeg": "string",        "regioneSedLeg": "string",        "capSedLeg": "string",        "comune": "string",        "provincia": "string",        "regione": "string",        "country": "string",        "cap": "string",        "tel": "string",        "fiscalCode": "string",        "company": true,        "userid": 0,        "mainCustomer": 0,        "createDate": "string",        "associated_users": [          {            "userId": 0,            "emailAddress": "string",            "firstName": "string",            "lastName": "string",            "type": {              "id": 0,              "name": "string"            },            "organizationId": 0,            "parentOrganizationId": 0,            "organizationName": "string"          }        ],        "egonCodeAddress": "string",        "egonCodeCity": "string",        "egonCodeMain": "string",        "rawAddress": "string",        "piva": "string",        "ptoponomastica": "string",        "mainCustomerInfo": {}      },      "organization": {        "organizationId": 0,        "userId": 0,        "userName": "string",        "createDate": "string",        "modifiedDate": "string",        "parentOrganizationId": 0,        "name": "string",        "type_": "string",        "sbcId": 0,        "documentation_URL": "string",        "support_URL": "string",        "status_URL": "string",        "redirect_URL": "string",        "notificationEmailFromAddress": "string",        "customerId": 0,        "manualCoverage": true,        "coverageIntegration": 0      },      "creator": {        "userId": 0,        "ssoId": "string",        "createDate": "string",        "modifiedDate": "string",        "emailAddress": "string",        "firstName": "string",        "lastName": "string",        "hasToChangePassword": true,        "type": {          "id": 0,          "name": "string"        },        "organizationId": 0,        "parentOrganizationId": 0,        "organizationName": "string"      },      "voipPlatform": {        "id": 0,        "name": "string",        "description": "string",        "attributes": {}      },      "status": {        "id": 0,        "code": "string",        "description": "string",        "finishStatus": true      },      "order": {},      "service": {        "id": 0,        "serviceList": {          "id": 0,          "name": "string",          "serviceProvider": {            "id": 0,            "description": "string"          },          "carrier": {            "id": 0,            "name": "string"          },          "type": {            "id": 0,            "name": "string"          },          "supplierProductId": "string"        },        "organizationId": 0,        "integration": {          "id": 0,          "name": "string"        },        "name": "string",        "forDirect": true,        "forSub": true,        "carrierType": "string",        "offsetDays": 0,        "attributes": {}      },      "dn": "string",      "tipo": "string",      "tipoSP": "string",      "codiceMigrazione": "string",      "ipgateway": "string",      "isTWT": true    }  }]